#include <vxWorks.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <ioLib.h>

#define READ_SIZE (4096)
#define FILE_NAME "/sd0a/uVxWorks"

LOCAL UINT8 rdBuf[READ_SIZE];

STATUS sdmmcReadTest(VOID)
    {
    int fd;
    ssize_t len;
    STATUS rc = OK;

    memset(rdBuf, 0xce, READ_SIZE);
    fd = open(FILE_NAME, O_RDONLY);
    if (fd < 0)
        {
        printf("couldn't open %s\n", FILE_NAME);
        return ERROR;
        }

    len = read(fd, rdBuf, READ_SIZE);
    if (len != READ_SIZE)
        {
        printf("read() failed\n");
        rc = ERROR;
        }
    else
        {
        printf("read %d bytes to buffer at %p\n", READ_SIZE, rdBuf);
        }

    close(fd);
    return rc;
    }
