/* bsp.cdf - BSP-specific component descriptor file */

/*
 * Copyright (c) 2022 Wind River Systems, Inc.
 *
 * The right to copy, distribute, modify or otherwise make use
 * of this software may be licensed only pursuant to the terms
 * of an applicable Wind River license agreement.
 */

Bsp itl_agilex {
    NAME                board support package
    CPU                 ARMARCH8A CORTEX_A53
    ENDIAN              little
    MP_OPTIONS          SMP_ONLY
    DATA_MODEL          LP64
    BUILD_SPECS         default
    BUILD_TARGETS       uVxWorks vxWorks vxWorks.bin
    FP                  hard soft
    REQUIRES            INCLUDE_KERNEL                  \
                        INCLUDE_CPU_INIT                \
                        INCLUDE_MEM_DESC                \
                        INCLUDE_BOARD_LIB_INIT          \
                        DRV_BUS_FDT_SIMPLE              \
                        INCLUDE_EARLY_MMU               \
                        DRV_INTCTLR_FDT_ARM_GIC_V3      \
                        DRV_INTCTLR_FDT_ARM_GIC_V3_ITS  \
                        INCLUDE_TIMER_SYS               \
                        INCLUDE_DEVCLK_SYS              \
                        DRV_RSTMGR_FDT_ALT_SOC_AGILEX   \
                        DRV_SYSMGR_FDT_ALT_SOC_AGILEX   \
                        BOARD_SELECTION
}
