/* itl_agilex5.h - Intel Agilex header file */

/*
 * Copyright (c) 2023 Wind River Systems, Inc.
 *
 * The right to copy, distribute, modify or otherwise make use
 * of this software may be licensed only pursuant to the terms
 * of an applicable Wind River license agreement.
 */

#ifndef __INCitl_agilexh
#define __INCitl_agilexh

#ifdef __cplusplus
extern "C" {
#endif

void itlAgilex5EarlyInit (void);
void itlAgilex5Init (void);
void itlAgilex5Reset (int);
char * itlAgilex5Model (void);
void itlAgilex5UsDelay (int);

#ifdef _WRS_CONFIG_SMP
UINT32 itlAgilex5CpuAvail (void);
STATUS itlAgilex5CpuEnable (UINT32, WIND_CPU_STATE *);
#endif

#ifdef __cplusplus
}
#endif

#endif    /* __INCitl_agilexh */
